#include <stdio.h>

int main()
{
  printf("# ELFBASE=%#02x\n", *(unsigned char*)ELFBASE);
  printf("# ELFMAGIC=%.3s\n", (char*)ELFMAGIC);
  printf("main=%p\n", main);
  printf("ofs=%lu\n", (unsigned long)main - ELFBASE);
  return 0;
}
